### Method

# Gimp Image reorder_item

since: 2.8

#### Declaration [src]

    gboolean
    gimp_image_reorder_item (
      GimpImage* image,
      GimpItem* item,
      GimpItem* parent,
      gint position
    )

#### Description [src]

Reorder the specified item within its item tree

Reorders or moves item within an item tree. Requires parent is `NULL` or a GroupLayer, else returns error. When parent is not `NULL` and item is in parent, reorders item within parent group. When parent is not `NULL` and item is not in parent, moves item into parent group. When parent is `NULL`, moves item from current parent to top level.

Requires item is in same tree as not `NULL` parent, else returns error. Layers, Channels, and Paths are in separate trees.

Requires item is not ancestor of parent, else returns error, to preclude cycles.

Available since: 2.8

#### Parameters

`item`

  Type: `GimpItem`

  The item to reorder.

  The data is owned by the caller of the method.

`parent`

  Type: `GimpItem`

  The new parent item.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The new position of the item.

#### Return value

Type: `gboolean`

TRUE on success.